 /*
  * Khoros: $Id$
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id$";
#endif

 /*
  * $Log$
  */

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "detect_peak.h"
/*-----------------------------------------------------------
| 
|  Routine Name: detect_peak_get_args
| 
|       Purpose: Gets command line args for detect_peak
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname detect_peak
|          Date: Jul 07, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void detect_peak_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for detect_peak is out of sync with arguments specified in detect_peak's *.pane file; please rerun ghostwriter on detect_peak.";


	/*
	 * allocate the detect_peak structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((unsigned)1, (unsigned) sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "i",
			  &(clui_info->i_file),
			  &(clui_info->i_flag))))
	{
	    kerror(NULL, "detect_peak_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_float(pane, "float1",
			  &(clui_info->float1_float),
			  &(clui_info->float1_flag))))
	{
	    kerror(NULL, "detect_peak_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_float(pane, "float2",
			  &(clui_info->float2_float),
			  &(clui_info->float2_flag))))
	{
	    kerror(NULL, "detect_peak_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_outfile(pane, "o",
			  &(clui_info->o_file),
			  &(clui_info->o_flag))))
	{
	    kerror(NULL, "detect_peak_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



